// Project Lab - NHTV Igad

#pragma once

#include "GameFramework/Actor.h"
#include "SoundEffect.generated.h"

UCLASS()
class UNREALPROJECT_API ASoundEffect : public AActor
{
	GENERATED_BODY()
public:	
	ASoundEffect();

	virtual void BeginPlay() override;
	virtual void Tick( float DeltaSeconds ) override;

	void Init(USoundBase* sound);

	UFUNCTION()
	void OnAudioFinished();

private:
	UPROPERTY(Replicated)
	class UAudioComponent* m_audio;

};
